
#ifndef __TEXTVIEW_H__
#define __TEXTVIEW_H__

#include "defs.h"

GtkWidget*  textview_create();
void        textview_create_textbuf(GtkTextBuffer **buf);
void        textview_push_message(gchar *msg);
void        textview_set_pixels(gint n);
void        textview_clear_textbuf(GtkTextBuffer *buf);
void        textview_insert_message(GtkTextBuffer *buf, gchar *msg);
GtkTextTag* textview_get_link_under_cursor(GtkTextView *view, gint ex, gint ey);
gint        textview_button_press(GtkWidget *widget, GdkEventButton *event, gpointer data);
void        textview_underline_lnk(GtkWidget *widget, GdkEventMotion *event, GtkTextTag **tag_lnk);

struct _textview
{
    gboolean        scroll_smooth;
    gint            scroll_step, scroll_time, scroll_margin, font_w, line_space, font_ascent;
    gchar           *colors[COLOR_N];
    GtkTextBuffer   *buffer;
    GtkTextTag	    *tag;
    GtkWidget       *view, *scroll, *menu, *menu_lnk;
} textview;

#endif /* __TEXTVIEW_H__ */
